# Blockchain

## Block Height

> The block height, i.e. the total number of blocks ever created and included in the main blockchain.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.BlockHeight?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/block_height":{"get":{"summary":"Block Height","description":"The block height, i.e. the total number of blocks ever created and included in the main blockchain.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.BlockHeight?a=BTC)\n","operationId":"blockchain.BlockHeight","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Block Interval (Mean)

> The mean time (in seconds) between mined blocks.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.BlockIntervalMean?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/block_interval_mean":{"get":{"summary":"Block Interval (Mean)","description":"The mean time (in seconds) between mined blocks.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.BlockIntervalMean?a=BTC)\n","operationId":"blockchain.BlockIntervalMean","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Block Interval (Median)

> The median time (in seconds) between mined blocks.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.BlockIntervalMedian?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/block_interval_median":{"get":{"summary":"Block Interval (Median)","description":"The median time (in seconds) between mined blocks.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.BlockIntervalMedian?a=BTC)\n","operationId":"blockchain.BlockIntervalMedian","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Block Size (Mean)

> The mean size of all blocks created within the time period (in bytes).\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.BlockSizeMean?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/block_size_mean":{"get":{"summary":"Block Size (Mean)","description":"The mean size of all blocks created within the time period (in bytes).\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.BlockSizeMean?a=BTC)\n","operationId":"blockchain.BlockSizeMean","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Block Size (Total)

> The total size of all blocks created within the time period (in bytes).\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.BlockSizeSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/block_size_sum":{"get":{"summary":"Block Size (Total)","description":"The total size of all blocks created within the time period (in bytes).\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.BlockSizeSum?a=BTC)\n","operationId":"blockchain.BlockSizeSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Blocks Mined

> The number of blocks created and included in the main blockchain in that time period.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.BlockCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/block_count":{"get":{"summary":"Blocks Mined","description":"The number of blocks created and included in the main blockchain in that time period.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.BlockCount?a=BTC)\n","operationId":"blockchain.BlockCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Percent UTXOs in Profit

> The percentage of unspent transaction outputs whose price at creation time was lower than the current price. For more information see \[this article]\(<https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoProfitRelative?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_profit_relative":{"get":{"summary":"Percent UTXOs in Profit","description":"The percentage of unspent transaction outputs whose price at creation time was lower than the current price. For more information see [this article](https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoProfitRelative?a=BTC)\n","operationId":"blockchain.UtxoProfitRelative","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXO Value Created (Mean)

> The mean amount of coins in newly created UTXOs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoCreatedValueMean?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_created_value_mean":{"get":{"summary":"UTXO Value Created (Mean)","description":"The mean amount of coins in newly created UTXOs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoCreatedValueMean?a=BTC)\n","operationId":"blockchain.UtxoCreatedValueMean","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - native, usd","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXO Value Created (Median)

> The median amount of coins in newly created UTXOs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoCreatedValueMedian?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_created_value_median":{"get":{"summary":"UTXO Value Created (Median)","description":"The median amount of coins in newly created UTXOs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoCreatedValueMedian?a=BTC)\n","operationId":"blockchain.UtxoCreatedValueMedian","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - native, usd","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXO Value Created (Total)

> The total amount of coins in newly created UTXOs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoCreatedValueSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_created_value_sum":{"get":{"summary":"UTXO Value Created (Total)","description":"The total amount of coins in newly created UTXOs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoCreatedValueSum?a=BTC)\n","operationId":"blockchain.UtxoCreatedValueSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - native, usd","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXO Value Spent (Mean)

> The mean amount of coins in spent transaction outputs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoSpentValueMean?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_spent_value_mean":{"get":{"summary":"UTXO Value Spent (Mean)","description":"The mean amount of coins in spent transaction outputs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoSpentValueMean?a=BTC)\n","operationId":"blockchain.UtxoSpentValueMean","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - native, usd","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXO Value Spent (Median)

> The median amount of coins in spent transaction outputs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoSpentValueMedian?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_spent_value_median":{"get":{"summary":"UTXO Value Spent (Median)","description":"The median amount of coins in spent transaction outputs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoSpentValueMedian?a=BTC)\n","operationId":"blockchain.UtxoSpentValueMedian","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - native, usd","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXO Value Spent (Total)

> The total amount of coins in spent transaction outputs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoSpentValueSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_spent_value_sum":{"get":{"summary":"UTXO Value Spent (Total)","description":"The total amount of coins in spent transaction outputs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoSpentValueSum?a=BTC)\n","operationId":"blockchain.UtxoSpentValueSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - native, usd","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXOs (Total)

> The total number of UTXOs in the network.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_count":{"get":{"summary":"UTXOs (Total)","description":"The total number of UTXOs in the network.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoCount?a=BTC)\n","operationId":"blockchain.UtxoCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXOs Created

> The number of created unspent transaction outputs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoCreatedCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_created_count":{"get":{"summary":"UTXOs Created","description":"The number of created unspent transaction outputs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoCreatedCount?a=BTC)\n","operationId":"blockchain.UtxoCreatedCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXOs in Loss

> The number of unspent transaction outputs whose price at creation time was higher than the current price. For more information see \[this article]\(<https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoLossCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_loss_count":{"get":{"summary":"UTXOs in Loss","description":"The number of unspent transaction outputs whose price at creation time was higher than the current price. For more information see [this article](https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoLossCount?a=BTC)\n","operationId":"blockchain.UtxoLossCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXOs in Profit

> The number of unspent transaction outputs whose price at creation time was lower than the current price. For more information see \[this article]\(<https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoProfitCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_profit_count":{"get":{"summary":"UTXOs in Profit","description":"The number of unspent transaction outputs whose price at creation time was lower than the current price. For more information see [this article](https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoProfitCount?a=BTC)\n","operationId":"blockchain.UtxoProfitCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## UTXOs Spent

> The number of spent transaction outputs.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/blockchain.UtxoSpentCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - blockchain","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/blockchain/utxo_spent_count":{"get":{"summary":"UTXOs Spent","description":"The number of spent transaction outputs.\n\n[View in Studio](https://studio.glassnode.com/charts/blockchain.UtxoSpentCount?a=BTC)\n","operationId":"blockchain.UtxoSpentCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h, 1w, 1month","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.glassnode.com/basic-api/endpoints/blockchain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
